org.eclipse.wst.jsdt.ui.wizards

## Class NewElementWizardPage

- java.lang.Object
- - WizardPage
  - - org.eclipse.wst.jsdt.ui.wizards.NewElementWizardPage

Direct Known Subclasses:
  BaseLibraryWizardPage, JavaCapabilityConfigurationPage, NewContainerWizardPage, NewJavaProjectWizardPage

    public abstract class NewElementWizardPage
    extends WizardPage

Base class for wizard page responsible to create JavaScript elements. The class provides API to update the wizard's status line and OK button according to the value of a `IStatus` object.

Clients may subclass.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`NewElementWizardPage(java.lang.String name)` Creates a `NewElementWizardPage`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setVisible(boolean visible)`
`protected void` `updateStatus(IStatus status)` Updates the status line and the OK button according to the given status
`protected void` `updateStatus(IStatus[] status)` Updates the status line and the OK button according to the status evaluate from an array of status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NewElementWizardPage

    public NewElementWizardPage(java.lang.String name)

Creates a `NewElementWizardPage`.

Parameters:
  `name` - the wizard page's name

### Method Detail

#### setVisible

    public void setVisible(boolean visible)

#### updateStatus

    protected void updateStatus(IStatus status)

Updates the status line and the OK button according to the given status

Parameters:
  `status` - status to apply

#### updateStatus

    protected void updateStatus(IStatus[] status)

Updates the status line and the OK button according to the status evaluate from an array of status. The most severe error is taken. In case that two status with the same severity exists, the status with lower index is taken.

Parameters:
  `status` - the array of status